# Обзор выпусков

Начиная с версии 1.14.0, в файле AppData предоставляются заметки о выпуске. Благодаря этому магазины приложений (например, GNOME Software) могут показывать заметки о выпуске пользователям.

Доступный для прочтения человеком текстовый вывод легко сгенерировать с помощью следующей команды:

`appstream-util appdata-to-news /usr/share/metainfo/org.gnome.gnome-commander.appdata.xml`

Версия | Дата выпуска | Что нового
--- | --- | ---

1.14.0

2022-02-05

Устранение ошибок:

- Исправлена ошибка № 3 (не обнаруживаются подключаемые устройства, подключённые во время работы Commander)

- Исправлена ошибка № 5 (опция «Следовать ссылкам» не работает при копировании файлов)

- Исправлена ошибка № 13 (размер каталога не обновляется при копировании)

- Исправлена ошибка № 16 (start-left-dir не работает с «.» (каталог, начинающийся с точки))

- Исправлена ошибка № 19 (FTP-соединения закрываются некорректным образом)

- Исправлена ошибка № 28 (права доступа для записи даются всем пользователям на FTP-сервере)

- Исправлена ошибка № 33 (убрать устаревший gnome-vfs)

- Исправлена ошибка № 39 (ошибка копирования при выборе «диска»)

- Исправлена ошибка № 41 (каталог неправильно разыменовывается из кеша при переименовании)

- Исправлена ошибка № 45 (Gnome Commander закрывается при щелчке по SMB-пути \\xxx\dddddd)

- Исправлена ошибка № 46 (некорректное автоматическое обновление содержимого папки)

- Исправлена ошибка № 47 (дублирование каталога при копировании существующего каталога)

- Исправлена ошибка № 51 (перемещение вместо копирования по умолчанию в той же файловой системе)

- Исправлена ошибка № 52 (автоматическое обновление при изменении прав и т.п.)

- Исправлена ошибка № 57 (удалённые соединения: Gnome Commander неправильно считывает данные о владении файлами)

- Исправлена ошибка № 59 (при SSH-подключении не работает удаление переименованной папки или файла)

- Исправлена ошибка № 74 (не показывает подключённые внешние диски)

- Исправлена ошибка № 75 (не отображается только что вставленный DVD-диск)

- Исправлена ошибка № 76 (сбой Gnome Commander при использовании webDAV SSL)

- Исправлена ошибка № 107 (неверный синтаксический разбор командной строки)

- Исправлена ошибка № 115 (нет ошибки при выполнении autogen, когда отсутствует flex)

Новые функции:

- Выбор действия, которое выполняется по умолчанию при перетаскивании файлов с помощью мыши

- Возможность использования корзины вместо удаления файлов без возможности восстановления (см. проблему № 2)

- Удалён встроенный диалог поиска файлов, вместо этого используйте внешнюю команду для поиска файлов

- В индикаторе каталога отображается название подключённого удалённого сервера (см. проблему № 71)

- Новый пункт меню для выбора / снятия выбора только файлов

- Список разработчиков: Uwe Scholz, Mamoru Tasaka, Andrey Sokolov, Maik Pertermann, Philipp Kiemle

- Новые или обновлённые переводы: ca, cs, da, de, es, eu, fi, hu, id, pl, pt_BR, ro, ru, sl, sr, sv, tr, uk, zh_CN

- Новая или обновлённая документация: es, sv

1.12.3.1

2021-11-21

Устранение ошибок:

- Исправлена ошибка № 110 (сбой проверки make на s390x, спасибо Mamoru Tasaka)

Новые функции:

- Новые или обновлённые переводы: pl, sv, uk

- Новая или обновлённая документация: sv

1.12.3

2021-11-20

Устранение ошибок:

- Исправлена ошибка № 108 (сбой после щелчка по файлу правой кнопкой)

- Модуль File Roller: добавить обработку ошибок во время выполнения (спасибо Andrey Sokolov)

Новые функции:

- Новые или обновлённые переводы: cs, de, hu, ru

- Новая или обновлённая документация: sv

1.12.2

2021-05-29

Устранение ошибок:

- Исправлена ошибка № 104 (ошибка сегментации при нажатии Ctrl+Вправо / Ctrl+Влево / Ctrl+Shift+.)

Новые функции:

- Новые или обновлённые переводы: es, id, ro

- Новая или обновлённая документация: sv

1.12.1

2021-04-17

Устранение ошибок:

- Исправлена ошибка № 12 (повторный запрос подтверждения при попытке удаления непустого каталога)

- Исправлена ошибка № 97 (команда «Выполнить» отсутствует в контекстном меню для исполняемых файлов)

- Исправлена ошибка № 98 (команда «Выполнить» не работает для файлов с пробелом в названии)

- Исправлена ошибка № 55 (тема не меняется во всех вкладках при применении)

- Исправлена ошибка № 102 (ошибка компиляции при недоступности TagLib)

- Исправлена ошибка № 103 (сбой при указании пустой строки для поиска)

Новые функции:

- Новые или обновлённые переводы: pl, pt_BR, sr, sv, uk

- Новая или обновлённая документация: sv

1.12.0

2021-03-25

Устранение ошибок:

- Исправлена ошибка № 95 (встроенное средство просмотра: прокрутка изображений с помощью мыши, колеса мыши или клавиш со стрелками на клавиатуре)

- Исправлена ошибка № 96 (ошибка сегментации при открытии свойств файла или каталога с помощью клавиатуры)

Новые функции:

- Использовать GIO вместо Gnome-VFS для открытия файлов программой по умолчанию

- Использовать GIO вместо Gnome-VFS для фильтрации списка файлов, а также в разных других частях программы

- Новые или обновлённые переводы: ca, cs, da, de, eo, es, eu, fi, hu, id, kk, pl, pt_BR, ro, sl, sr, tr, uk

- Новая или обновлённая документация: cs, de, es, sv

1.10.3

2020-06-19

Устранение ошибок:

- Исправлена ошибка № 29 (перенос устаревшего GnomeFileEntry в GtkFileChooserButton)

- Исправлена ошибка № 34 (убрать устаревшие libgnome и libgnomeui)

- Исправлена ошибка № 65 (параметры поиска: не работает «Копировать имена файлов»)

- Перейти с nautilus-sendto на xdg-email в качестве стандартной команды send-to

Новые функции:

- Встроенное средство просмотра: по умолчанию показывать информацию из файла метаданных

- Небольшие улучшения управления памятью

- Новые или обновлённые переводы: cs, de, es, eu, id, id, pl, pt_BR, pt_BR, sv, uk

- Новая или обновлённая документация: cs, es

1.10.2

2019-05-16

Устранение ошибок:

- Исправление ошибки компиляции с exiv2 0.27.1 (спасибо Mamoru Tasaka)

Новые функции:

- Новая или обновлённая документация: es

1.10.1

2019-05-12

Устранение ошибок:

- ...

- Удалены ссылки на gnome-config, что исправляет bgo № 570733 и ошибку № 27 на GitLab

Новые функции:

- ...

- Окно поиска можно свернуть или переместить под главное окно

- Новые или обновлённые переводы: ar, bg dz, de, en_CA, en_GB, es, ga, hr, hu, ne, pl, pt_BR, rw, sq, vi, zh_TW

- Новая или обновлённая документация: de, en, es

1.10.0

2019-03-31

Устранение ошибок:

- Исправлены различные предупреждения во время компиляции

- Несколько улучшений кода и исправление утечек памяти

Новые функции:

- Обновление значка Gnome Commander и значка встроенного средства просмотра

- Настройки Gnome Commander теперь полностью перенесены в GSettings под ключом «org.gnome.gnome-commander»

- Опции в ~/.gnome2/gnome-commander и в ~/.gnome-commander/* переносятся автоматически

- Папка сценариев и модулей в ~/.gnome-commander перемещена в ~/.config/gnome-commander

- Новые или обновлённые переводы: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Новая или обновлённая документация: cs, de, es, sv

1.8.1

2018-03-04

Устранение ошибок:

- Исправление простой системы сценариев для работы с названиями файлов с пробелами

- Исправление bgo № 785505: ошибка при компиляции GCMD с flex 2.6.4

Новые функции:

- Сохранение размера диалога настройки параметров при его закрытии

- Удаление ненужных границ со вкладок диалога настройки параметров (спасибо Elijah)

- Полное удаление поддержки python

- Новые или обновлённые переводы: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Новая или обновлённая документация: cs, de, es

1.8.0

2017-08-10

Новые функции:

- Быстрый поиск можно активировать вводом буквы, настраивается на вкладке параметров

- Опция, позволяющая сохранять или не сохранять историю командной строки при выходе

- Опция, позволяющая сохранять или не сохранять историю поиска при выходе

- Добавлена опция, позволяющая оставить окно терминала открытым после завершения команды

- [сборка] Больше не использовать gnome-autogen.sh (большое спасибо Philip Withnall и David King)

- [сборка] Для переводов теперь используется gettext в апстриме вместо intltool

- [build] Новая инфраструктура документации: использовать yelp-tools вместо gnome-doc-utils

Другие изменения:

- Минимальная версия GTK увеличена с 2.8.0 до 2.18.0

- Чистка кода

Устранение ошибок:

- [сборка] Python теперь также обнаруживается во время сборки, если номер его версии равен или выше 3.x

- Новые или обновлённые переводы: ca, cs, de, eo, es, fi, hu, id, pl, pt_BR, sl, sr, sr@latin, sv

- Новая или обновлённая документация: cs, de, es

1.6.4

2017-05-28

Устранение ошибок:

- Исправлена проблема bgo № 779574 (не сохранялись параметры других избранных приложений)

- Исправлена проблема bgo № 619112 (встроенное средство просмотра по умолчанию отображает некорректные кодовые страницы)

Новые функции:

- Новые или обновлённые переводы: cs, de, eu, hu, id, pl, pt_BR, sr, sl@latin, sv

- Новая или обновлённая документация: cs, de, es

1.6.3

2017-02-26

Устранение ошибок:

- Библиотека libunique (иногда просто «unique») теперь является опциональной (по опции конфигурации)

Новые функции:

- Новые или обновлённые переводы: cs, es, pl, pt_BR, ru, sr, sl@latin

- Новая или обновлённая документация: cs, de, es

1.6.2

2016-11-06

Устранение ошибок:

- Исправлена проблема bgo № 398734 (цвет отмеченных файлов не меняется при использовании цветов темы)

- Ширина списка устройств равна самой длинной строке в этом списке

- Исправлен баг в инструменте расширенного переименования при использовании METATAGS

Новые функции:

- Подпись свободного места на диске отображается в строке состояния, если не показан список устройств (работает после перезапуска gcmd)

- Быструю клавишу можно назначить для:

  - Перемещения курсора вверх или вниз («Переместить курсор на шаг выше/ниже»)

  - Просмотра закладок текущего устройства («Показать закладки текущего устройства»)

- Новые или обновлённые переводы: hu, de, pl, sr, sl@latin

- Новая или обновлённая документация: cs

1.6.1

2016-10-18

Устранение ошибок:

- Исправлена проблема bgo № 638174 (цвет фона выделения не применяется при использовании пользовательских цветов)

- Исправлена проблема bgo № 773063 (компилируется с gcc6 -Werror=format-security, спасибо Mamoru Tasaka)

Новые функции:

- Новая или обновлённая документация: cs

1.6.0

2016-10-04

Устранение ошибок:

- Исправлена проблема bgo № 671616 (контекстное меню, вызываемое правой кнопкой мыши, отображалось не в том месте, спасибо Puux)

- Исправлена проблема bgo № 683087 (сбой при открытии окна свойств некоторых объектов, спасибо Puux)

- Исправлена проблема bgo № 742752 (добавлена возможность изменения размера диалога настройки параметров и полосы прокрутки)

- Сохранять фокус на файле после переименования с помощью AdvRenDialog (спасибо Martin Mocko)

- Исправлена проблема bgo № 767158 (быстрые клавиши перестают работать после изменения вида)

- Исправлено экранирование строк для каталогов с амперсандом (см. bgo № 769309)

- Исправлена проблема bgo № 770062 (утечка памяти в GnomeCmdPlainPath, спасибо Eric)

- Исправлена проблема bgo № 770063 (утечка памяти в get_string_pixel_size, спасибо Eric)

Новые функции:

- Всегда заново открывать ранее закрытую в диалоге настройки параметров вкладку

- Поддержка Samba теперь опционально доступна через опцию конфигурации

- Настраиваемая команда для отправки файлов в предпочитаемое приложение

- Кнопка «Редактировать файлы» принимает более одного выбранного файла за раз

- Кнопки устройств и пункты в списке устройств работают как «кнопки "Домой"» для этих устройств, когда они уже активны

- Скопировать путь к каталогу в буфер обмена после щелчка по индикатору каталога правой кнопкой мыши (спасибо Puux)

- Показ или скрытие главного меню может выполняться по нажатию быстрой клавиши (спасибо Puux)

- Простая система модулей для контекстного меню файла (спасибо Puux)

- Показ значков приложений во всплывающем меню «Открыть с помощью» (спасибо Puux)

- Мгновенная запись изменений закладок в файл, синхронизация закладок между всеми экземплярами (спасибо Puux)

- Опции теперь хранятся в базе данных dconf, а не в файле gnome-config (см. bgo № 570733)

- Устройства и предпочитаемые приложения теперь хранятся в формате GKeyFile

- Модуль File Roller может использовать шаблоны strftime при создании имени архива

- Начато использование среды тестирования google для модульных тестов

- Новая цветовая тема «Зима»

- Чистка кода

- Новая или обновлённая документация: cs, de, el, es

- Новые или обновлённые переводы: bs, ca, cs, de, es, eu, fi, fr, hu, id, lt, nb, oc, pl, pt, pt_BR, ro, sk, sl, sr, sl@latin, sv, tr

Другие изменения:

- Удалена команда «Открыть папку» во всплывающих меню и действиях пользователя

1.4.9

2016-09-18

Устранение ошибок:

- Исправлена проблема bgo № 764306 (опечатка и неверные слова в строках, спасибо Anders Jonsson)

Новые функции:

- Новые или обновлённые переводы: cs, de, es, hu, hu, hu, id, pl, pt, ro, sk, sr, sr@latin, sv

- Новая или обновлённая документация: cs, de, es

1.4.8

2016-03-14

Устранение ошибок:

- Исправлена проблема bgo № 761580 (поддержка gcc6 -Werror=format-security, спасибо Mamoru Tasaka)

Новые функции:

- Новые или обновлённые переводы: cs, de, pl, pt, pt_BR, oc

- Новая или обновлённая документация: cs, de

1.4.7

2015-05-30

Устранение ошибок:

- Исправлена проблема bgo № 745454 (ошибка сегментации после поиска файлов, спасибо Mamoru Tasaka)

- Исправлена проблема bgo № 749869 (ошибка сегментации при втором поиске, спасибо Mamoru Tasaka)

- Исправлена проблема bgo № 734032 (при щелчке по файлу .png отображается неверный тип MIME, спасибо Mamoru Tasaka)

Новые функции:

- Новые или обновлённые переводы: co

- Новая или обновлённая документация: cs

1.4.6

2015-05-19

Устранение ошибок:

- Исправлена проблема bgo № 748869 (сбой при выполнении поиска два раза подряд)

- Исправлена проблема bgo № 746003 (сбой при открытии диалога свойств FTP-каталога с «нечётным» UID)

- Исправлена проблема bgo № 747771 (файл appdata.xml не переводится, спасибо Dominique Leuenberger)

- Исправлена проблема bgo № 653573 (пароли хранятся в виде обычного текста в ./gnome-commander/connections)

- Исправлена проблема bgo № 742752 (добавлена возможность изменения размера диалога настройки параметров и полосы прокрутки)

Новые функции:

- Новые или обновлённые переводы: bs, el, pt

- Новая или обновлённая документация: cs, el

1.4.5

2015-01-24

Устранение ошибок:

- Исправлена проблема bgo № 741316 (в POT-файле нет appdata)

- Исправлена проблема bgo № 742716 (опция --start-right-dir приводит к сбою gnome-commander)

- Удаление поддержки python-2.6 из gentoo ebuild

Новые функции:

- Новые или обновлённые переводы: cs, hu, id, sr, sr@latin

- Новая или обновлённая документация: cs

1.4.4

2014-11-11

Устранение ошибок:

- Исправлена проблема bgo № 571495 (перенос из gnome_execute_shell в g_spawn_async)

- Исправлена проблема bgo № 737088 (поддержка терминала пользователя, отличного от gnome-terminal)

Новые функции:

- Новые или обновлённые переводы: cs, de, eu, fi, id, sr, sr@latin

- Новая или обновлённая документация: cs, es

1.4.3

2014-06-22

Устранение ошибок:

- Исправлена проблема bgo № 731557 (сбой при перетаскивании с помощью мыши, когда файл уже существует)

Новые функции:

- Новые или обновлённые переводы: cs, de, eu, fi

- Новая или обновлённая документация: cs

1.4.2

2014-05-23

Устранение ошибок:

- Исправлена проблема Gentoo № 509574 (переход с python-r1 на python-single-r1 в ebuild)

- Исправлена проблема bgo № 367949 (исправлены результаты async_xfer_callback для перемещения папок)

- Исправлена проблема bgo № 598161 (выбор текста во встроенном средстве просмотра в строках с символами TAB)

- Выбор текста во встроенном просмотрщике работает в строках с символами TAB (спасибо Jan Vleeshouwers)

Новые функции:

- Новые или обновлённые переводы: cs, el, sr, sr@latin

1.4.1

2014-04-05

Устранение ошибок:

- Исправлена проблема bgo № 641842 (использовать poppler-glib вместо внутреннего API poppler)

- Исправлена проблема bgo № 726682 (патч для исправления неопределённой ссылки на vtable)

- Поддержка дат создания и изменения в кодировке utf8 в метаданных документа

- «Поиск», «Быстрый поиск» и «Включить фильтр» перемещены из меню «Правка» в меню «Файл»

Новые функции:

- Новые или обновлённые переводы: cs, es, fr , id , pt_BR, sl

- Новая или обновлённая документация: cs, es

1.4.0

2014-03-17

Устранение ошибок:

- Исправлена проблема bgo № 377463 (потеря фокуса диалогом создания каталога)

- Исправлена проблема bgo № 492479 (в диалоге подтверждения замены файла должны отображаться дата и размер файлов)

- Исправлена проблема bgo № 617140 (цель GNOME: использовать методы доступа вместо прямого доступа)

- Исправлены проблемы bgo № 632064, bgo № 632208, bgo № 633107, bgo № 633167, bgo № 633331, bgo № 634972, bgo № 637873, bgo № 638059 (ошибки в gnome-commander-help.master.po)

- Исправлена проблема bgo № 660043 (недокументированная комбинация клавиш ALT+ВНИЗ)

- Исправлена проблема bgo № 660268 (запоминание истории каталогов между сеансами)

- Исправлена проблема bgo № 667080 (подтверждение удаления по умолчанию имеет значение ДА/ОК)

- Исправлена проблема Ubuntu № 117226 (унификация закладок)

- Исправлена проблема с неточным выделением правой кнопкой мыши

- Исправлена проблема bgo № 696227 (определение и поддержка libgsf >= 1.14.26)

- Исправлена проблема bgo № 684527 (исправлены опечатки в строках)

- Исправлена проблема bgo № 660063 (определить привязку ALT+ВНИЗ как задаваемую пользователем: view.dir_history)

- Исправлена проблема bgo № 642178 (блокировка вкладок для кнопок следующая/предыдущая)

Новые функции:

- Поддержка вкладок

- Изменённый диалог закладок

- Изменённый диалог свойств файла

- Режим запуска программы в единственном экземпляре

- Новая цветовая тема «Зелёный тигр»

- Определяемые пользователем цвета LS_COLORS

- Возможность выделения или снятия выделения только с файлов

- Поддержка автоматической длины счётчика в шаблонах расширенного переименования файлов

- Улучшено сопоставление имени файла в быстром поиске

- Открытие терминала с привилегиями администратора

- Запрос подтверждения операций перетаскивания

- Всплывающее меню по правой кнопке для копирования во внутренний просмотрщик

- Опция командной строки --config-dir для определяемого пользователем расположения конфигурационных файлов

- Несколько улучшений быстродействия, включая переработку C++ и чистку кода

- Новый модуль python: «apply_patch»

- Удалена неверная конфигурация типа MIME

- Прекращена поддержка модуля cvs

- Новая или обновлённая документация: cs, de, en, es, el, fr, ru, sl

- Новые или обновлённые переводы: ca, cs, da, eo, es, eu, fr, hu, it, ja, ko, nb, pl, pt_BR, ro, ru, sl, sr, sr@latin, sv, uk, zh_CN

- Новые клавиатурные сокращения:

  - CTRL T Открыть каталог в новой вкладке (заменяет старую привязку инструмента множественного переименования)

  - CTRL W Закрыть текущую вкладку

  - CTRL SHIFT W Закрыть все вкладки

  - CTRL TAB Перейти на следующую вкладку

  - CTRL SHIFT TAB Перейти на предыдущую вкладку

  - SUPER 1 Изменить соединение слева

  - SUPER 2 Изменить соединение справа

1.2.8.17

2014-01-12

Устранение ошибок:

- Исправлена проблема bgo № 721132 (поддержка сборки с -Werror=format-security)

- Обновлено расположение домашней страницы GCMD в исходном коде

Новые функции:

- Обновлённые переводы: es, id, pt_BR

1.2.8.16

2013-12-23

Устранение ошибок:

- Исправлена проблема компиляции gcc-4.7

- Исправлена проблема bgo № 705724 (poppler >= 0.24)

- Исправлена проблема bgo № 676303 (poppler >= 0.20.0)

Новые функции:

- Новая или обновлённая документация: de, el, fr

- Обновлённые переводы: da, de, el, fr, hu, id, pt_br, ru, sl, th

1.2.8.15

06.12.2011

Устранение ошибок:

- Исправлена проблема № 65372 (отсутствующие ссылки в документации gcmd-1.2.8)

Новые функции:

- Новая или обновлённая документация: cs, de, es, fr

- Обновлённые переводы: eo, es, sl

1.2.8.14

04.10.2011

Устранение ошибок:

- Исправлена проблема № 621756 (не сохранялся пользовательский порт для ftp)

- Исправлена проблема № 657780 (ошибки в nl.po)

1.2.8.13

06.08.2011

Устранение ошибок:

- Исправлена проблема № 646871 (сбой в свойствах файла при подключении к FTP)

1.2.8.12

15.06.2011

Устранение ошибок:

- Исправлена проблема № 618214 (сбой программы при отмене поиска)

- Исправлена проблема № 640387 (ещё одно исправление для устаревших модулей python: md5, sha1)

- Исправлена проблема № 649375 (не обновлялись только что добавленные закладки)

- Исправлена проблема с правами доступа при создании каталога

1.2.8.11

01.05.2011

Устранение ошибок:

- Исправлена проблема № 639243 (неправильное описание в документации действия клавиши F2)

- Исправлена проблема № 640387 (использование устаревших модулей python: md5, sha1)

- Исправлена проблема с запуском GNOME Commander от имени root

- Исправлена проблема с переводом на традиционный китайский язык

Новые функции:

- Поддержка кнопок мыши назад/вперёд

1.2.8.10

15.01.2011

Устранение ошибок:

- Исправлена проблема № 448941 (стрелки цифрового блока клавиатуры не работали в главном окне)

- Исправлена проблема № 620275 (добавлен пункт меню для копирования полного пути и имени файла в буфер обмена)

- Исправлена проблема № 637501 (расширенное переименование: всплывающее меню мета-тегов показывало неправильные элементы)

- Исправлена проблема с выбором пути/базового имени/имени файла в диалогах копирования/перемещения

- Исправлена проблема с путём поиска для устройств

- Обновлённые переводы: de

1.2.8.9

03.12.2010

Устранение ошибок:

- Исправлена проблема № 352024 (не работала клавиша F10)

- Исправлена проблема № 631243 (регрессия advrename $c(width))

Новые функции:

- Поддержка подстановочных знаков как в оболочке в быстром поиске

1.2.8.8

09.09.2010

Устранение ошибок:

- Исправлена проблема № 610764 (не удавалось отметить флажком пункт меню)

- Исправлена проблема № 626469 (добавлена поддержка других su-подобных программ: xdg-su, gnomesu)

- Исправлена проблема с повреждённым испанским языковым файлом

1.2.8.7

27.07.2010

Устранение ошибок:

- Исправлена проблема № 540438 (графический интерфейс не выводил сообщение в случае невозможности исполнения meld)

- Исправлена проблема № 616367 (диалог «Файл не найден» после запуска)

- Исправлена проблема № 620650 (переполнение буфера в load_fav_apps())

- Исправлена проблема № 622456 (не собирать модули как объекты разделяемых библиотек)

- Исправлена проблема с параметрами редактирования избранных приложений и устройств

1.2.8.6

01.06.2010

Устранение ошибок:

- Исправлены проблемы № 600292, № 612685 (сбой программы при двойном щелчке на закладке)

- Исправлена проблема № 602795 (поиск по содержимому файла)

- Исправлена проблема № 609912 (ошибка сборки с --as-needed)

- Исправлена проблема № 616891 (ошибка сборки в RHEL 5.5)

Новые функции:

- Новые переводы: ko

1.2.8.5

13.02.2010

Устранение ошибок:

- Исправлена проблема № 604558 (курсор исчезает или помещается в неправильную позицию)

- Исправлена проблема № 604904 (ошибка сборки в OpenSolaris)

- Исправлена проблема № 609342 (не показывать mtime для «..»)

- Исправлена проблема с редактированием подключений к сети Windows

- Исправлена ошибка с несуществующими действиями пользователя

1.2.8.4

03.12.2009

Устранение ошибок:

- Исправлена проблема № 602916 (не работающий пункт меню)

- Исправлена проблема № 603301 (сбой программы при отмене создания символической ссылки с помощью ESC)

- Исправлена проблема Ubuntu № 369818 (неправильная сортировка по размеру в панели)

- Исправлена проблема c не работающей клавишей Enter в цифровом блоке клавиатуры в диалогах копирования и перемещения

- Исправлена проблема с блокировкой клавиатуры после нажатия ALT+1/2 со скрытым списком устройств

1.2.8.3

28.10.2009

Устранение ошибок:

- Исправлена проблема № 541891 (имена файлов с % в инструменте расширенного переименования файлов)

- Исправлена проблема № 581645 (неудобный быстрый поиск)

- Исправлена проблема № 596768 (предупреждения сборки для python)

- Исправлена проблема № 596973 (ошибка сборки документации)

- Исправлена проблема № 597144 (отсутствует вызов pclose)

- Исправлена проблема № 597233 (проверка переводов документации)

- Исправлена проблема № 597890 (meld передавались неправильные параметры)

- Исправлена проблема № 598278 (утечка памяти)

1.2.8.2

22.09.2009

Устранение ошибок:

- Исправлена проблема № 591944 (установка прав доступа в 000 после chmod)

- Исправлена проблема № 595097 (ошибка сборки poppler >= 0.11.3)

- Исправлена проблема debian № 438884 (неверная подпись устройства при переключении панелей с помощью CTRL+U)

- Исправлена проблема с повреждением значка файла после переименования символической ссылки

1.2.8.1

10.08.2009

Устранение ошибок:

- Исправлена проблема № 587325 (сбой в чистой среде chroot)

- Исправлена проблема № 589108 (ошибка сборки в openSUSE)

- Исправлена проблема № 591206 (сбой при выполнении sysconf() над FreeBSD)

- Исправлена проблема с форматированием счётчика $c(16) в шаблонах расширенного переименования файлов

1.2.8

29.06.2009

Устранение ошибок:

- Исправлена проблема № 375357 (сбой при отмене вычисления свойств каталога)

- Исправлена проблема № 536446 (отсутствует фокус на имени файла при переименовании «на месте»)

- Исправлена проблема № 539812 (сбой программы при удалении файлов: повреждённый it.po)

- Исправлена проблема № 548947 (проблема с датой для локали, отличной от UTF8)

- Исправлена проблема № 548948 (сбой программы, если домашний каталог содержит символы не в кодировке UTF8)

- Исправлена проблема № 548961 (поддержка метода ввода при переименовании или быстром поиске)

- Исправлена проблема № 554586 (проблема с макросом AC_PROG_CXX)

- Исправлена проблема № 554598 (цель GNOME: LINGUAS)

- Исправлена проблема № 556664 (закладки могли не сохраняться для смонтированных устройств)

- Исправлена проблема № 567404 (сбой программы при нажатии INSERT на подкаталоге)

- Исправлена проблема № 556836 (прокрутка файловой панели при переходе с одной панели на другую)

- Исправлена проблема № 567506 (медленный запуск в системах с большим количеством пользователей)

- Исправлена проблема № 570727 (использование устаревшего gnome_url_show)

- Исправлена проблема № 571239 (замена устаревшего GnomeColorPicker на GtkColorButton)

- Исправлена проблема № 571247 (замена устаревшего GnomePixmap на GtkImage)

- Исправлена проблема № 571558 (замена устаревших кнопок GNOME_STOCK_* на аналогичные кнопки GTK_STOCK_*)

- Исправлена проблема № 576174 (нечувствительная к регистру сортировка имён файлов в локали, отличной от en_US.utf8)

- Исправлена проблема № 579633 (доступ к административным привилегиям с помощью gksudo)

- Исправлена проблема № 583135 (отменена кнопка «Перейти» ('Go to') в диалоге поиска)

- Исправлена проблема № 583711 (сбой программы при нажатии ESC в диалоге закладок)

- Исправлена проблема № 584727 (неправильное расположение контекстного меню файла)

- Исправлена проблема с заданием равных размеров панелей в горизонтальном режиме

- Исправлена проблема с обновлением информации MIME после переименования файла

Новые функции:

- Поддержка метатегов PDF в шаблонах расширенного переименования файлов

- Обновление инструмента расширенного переименования файлов (обратные ссылки на регулярные выражения («\номер»), профили, преобразование регистра,обрезка пробелов и многое другое)

- Поддержка тегов метаданных во встроенном просмотрщике

- Поддержка режима открытия одиночным щелчком

- Поддержка чередующихся фонов строк в цветовых темах

- Новая цветовая тема «Кофе по-бразильски»

- Новая или обновлённая документация: de, en, es

- Новые или обновлённые переводы: ar, cs, de, es, eu, fr, it, ja, pl, pt_BR, sl, sv

- Новые клавиатурные сокращения:

  - CTRL E Открыть список истории командной строки

- Новые клавиатурные сокращения для внутреннего просмотрщика:

  - T Показ тегов метаданных (замена старой клавиши «E»)

  - ALT ENTER Показ тегов метаданных

1.2.7

28.07.2008

Устранение ошибок:

- Исправлена проблема № 522430 (быстрый поиск файлов с именем, начинающихся с символа в верхнем регистре)

- Исправлена проблема № 532615 (файловые операции не на том файле)

- Исправлена проблема № 538806 (быстрый поиск в корневом каталоге)

- Исправлена проблема № 539753 (ошибка сборки в Solaris)

- Исправлена проблема № 541404 (обновление имён узлов)

- Исправлена проблема с сортировкой файлов в инструменте расширенного переименования файлов

- Исправления сборки

Новые функции:

- Поддержка всех сетевых протоколов GnomeVFS (включая SSH+FTP и WebDAV)

- Пользовательские комбинации клавиш для произвольных программ

- Копирование выделенных URI в буфер обмена с помощью ALT щелчка на кнопке панели инструментов

- Изменён диалог поиска

- Обновлён диалог хода выполнения передачи

- Обновлена справочная документация

- Новые или обновлённые переводы: cs, de, es, fr, it, ja, oc, pl, pt_BR

1.2.6

01.06.2008

Устранение ошибок:

- Исправлена проблема № 392959 (динамическая смена пользователя на root)

- Исправлена проблема № 496150 (прокрутка колёсиком мыши)

- Исправлена проблема № 499761 (окно поиска очищается при сортировке столбца)

- Исправлена проблема № 499764 (с выделением нескольких файлов)

- Исправлена проблема с сортировкой файлов, имеющих имена в кодировке UTF-8

- Исправлена проблема с копированием файлов в каталоги с символьными ссылками

- Исправлена проблема с обработкой полного пути к файлам при их копировании/перемещении на подключённые устройства

Новые функции:

- Режим root для запуска GNOME Commander с административными привилегиями

- Графический интерфейс для управления клавиатурными сокращениями

- Открыть текущее местоположение в файловом менеджере Nautilus

- Инструмент расширенного переименования — новые символы подстановки $x и $X для случайных 16-ричных чисел

- Изменён диалог поиска

- Поддержка модификаторов <super>, <hyper> и <meta> (с GTK+ 2.10)

- Обновлена справочная документация

- Новые или обновлённые переводы: cs, de, en_GB, es, eu, fi, fr, hu, it, oc, pl, sl

- Новые клавиатурные сокращения:

  - SUPER F Поиск файлов

1.2.5

29.02.2008

Устранение ошибок:

- Исправлена проблема № 345314 (курсор не остаётся на файле при переименовании)

- Исправлена проблема № 353889 (исчезание файлов после сбоя перемещения (F6))

- Исправлены проблемы № 346286, № 424447, № 447882, № 467058 (сбой программы при использовании регулярных выражений в инструменте переименования)

- Исправлены проблемы № 365227 и № 446361 (проблемы со сборкой в Solaris)

- Исправлена проблема № 424159 (с сортировкой столбца)

- Исправлена проблема № 434545 (Ошибка Debian № 421480: ОГРОМНЫЕ значки устройств)

- Исправлена проблема № 447415 (невозможность запуска исполнимых файлов)

- Исправлена проблема № 448942 (SHIFT+ENTER: запуск команды в отдельном терминале)

- Исправлена проблема № 449137 (невозможность доступа по имени к переименованным каталогам)

- Исправлена проблема № 468685 (сбой в модуле python)

- Исправлена проблема № 490431 (просмотр файлов с именами, содержащими '%')

- Исправлена проблема № 508565 (неправильная поддержка utf-8 в инструменте расширенного переименования файлов)

- Исправлена проблема № 510567 (ошибка assert при удалении каталога)

- Исправлена проблема при создании ~/dir

- Исправлена проблема с обновлением строки состояния встроенного просмотрщика

- Исправлен сбой при создании каталога с абсолютным путём на ресурсе SMB

- Исправлен сбой программы при перемещении файла с % в имени

- Исправлена проблема со спорадической потерей курсора в файловой панели

- Исправлена проблема с монтированием устройств с пробелами в именах

- Исправлена проблема с историей шаблонов расширенного переименования

- Исправления сборки

Новые функции:

- Поддержка метатегов APE, FLAC и Vorbis в шаблонах расширенного переименования файлов

- Поддержка метатегов Exif MakerNote в шаблонах расширенного переименования файлов

- Поддержка файловых метатегов в шаблонах расширенного переименования файлов

- Использовать диспетчер проверки подлинности GNOME для учётных данных пользователя

- Теги метаданных в диалоге свойств файла

- Открыть терминал с текущим каталогом

- Значки из стандартной темы GNOME для домашнего каталога, SMB- и FTP-расположений

- Определённые пользователем клавиатурные сокращения для закладок

- Отправить файлы по электронной почте или через клиент мгновенных сообщений (используется nautilus-sendto)

- Обновлена справочная документация

- Новые или обновлённые переводы: ar, bg, cs, de, dz, eo, es, eu, fr, oc, pl, pt_BR, ro, sl, sv

- Новые клавиатурные сокращения:

  - CTRL ВЛЕВО/ВПРАВО Копировать текущий каталог из активного списка файлов в неактивный

  - CTRL N Открыть новое соединение с удалённым сервером (заменяет старую комбинацию CTRL G)

1.2.4

09.06.2007

Устранение ошибок:

- Исправлена проблема с открытием каталогов во встроенном просмотрщике

- Исправлена проблема с редактированием каталогов в GNOME Commander

- Исправлена проблема № 351952 (сбой программы при выполнении поиска по содержимому)

- Исправлена проблема № 352253 (при прокрутке в просмотрщике)

- Исправлена проблема № 360175 (сбой при входе в каталог с «%» в имени)

- Исправлена проблема № 371948 и № 388970 (не экранируется путь к файлу)

- Исправлена проблема № 412162 (сборка с --enable-python=no)

- Исправления сборки

Новые функции:

- Поддержка модулей на python

- Новые модули python:

  - `md5sum` Создание контрольной суммы MD5 (128-бит)

  - `sha1sum` Создание контрольной суммы SHA-1 (160-бит)

- Поддержка метатегов OLE и ODF в шаблонах расширенного переименования файлов

- Определённые пользователем клавиатурные сокращения

- SMB-аутентификация

- Показ общего размера файлов в выделенных подкаталогах

- «cd -» для перехода к предыдущему рабочему каталогу

- Более интуитивное использование инструмента сравнения

- Синхронизация каталогов

- Создание каталогов аналогично «mkdir -p»

- Обновлена справочная документация

- Новые или обновлённые переводы: ar, bg, cs, dz, en_GB, fr, it, oc, pl, sl, sv

- Новые клавиатурные сокращения:

  - CTRL\ Переход в корневой каталог

  - CTRL` Переход в домашний каталог

  - CTRL 5 Создаёт контрольную сумму MD5 (128-бит)

  - CTRL SHIFT C Копирует имена выделенных файлов в буфер обмена

1.2.3

11.12.2006

Устранение ошибок:

- Исправлена проблема № 384752 (неправильные права доступа к новым каталогам)

1.2.2

11.12.2006

Устранение ошибок:

- Исправлена проблема с созданием символических ссылок при выделении нескольких файлов

- Исправлена проблема с группировкой цифр в размере файла

- Исправлена проблема с обработкой SMB UNC

- Исправлена проблема № 367744 (неправильное отображение имени файла)

- Исправлена проблема № 374282 (поиск с рекурсивными символьными ссылками)

- Исправлена проблема № 377706 (выделение файлов с SHIFT+PgDown)

Новые функции:

- Поддержка метатегов ID3 в шаблонах расширенного переименования файлов

- Обновлена справочная документация

- Новые или обновлённые переводы: ar, en_GB, es, fi, it, pl, sv

- Новые клавиатурные сокращения:

  - CTRL SHIFT= Сравнять размеры панелей

1.2.1

16.10.2006

Устранение ошибок:

- Исправлена проблема с обновлением базы данных scrollkeeper

- Исправление сбоя, когда индикатор каталога команд пуст

- Исправлена проблема с обновлением после chown или chmod

- Исправлена проблема № 333898 (устаревший суффикс значка в файле рабочего стола)

- Исправлена проблема № 347561 (неправильно задан каталог для модулей)

- Исправлена проблема № 347817 (неверное использование флагов компоновщика Makefile)

Новые функции:

- Поддержка архивов (gz, bz2, zip, lha, rar, jar, 7-zip, zoo, deb, rpm) через плагин FileRoller

- Новые python-подобные индексы для шаблонов расширенного переименования файлов

- Поддержка метатегов Exif и IPTC в шаблонах расширенного переименования файлов

- Быстрый доступ к символам подстановки в шаблонах расширенного переименования

- Переименование «на месте» (SHIFT+F6)

- Изменены меню приложения

- Функция поиска во встроенном просмотрщике

- Новый значок для встроенного просмотрщика

- Обновлена справочная документация

- Новые или обновлённые переводы: ca, cs, de, el, en_GB, es, eu, fi, hu, it, ne, pl, ru, sv, vi

- Новые клавиатурные сокращения:

  - CTRL SHIFT H Включает / отключает показ скрытых файлов

1.2.0

12.05.2006

Устранение ошибок:

- Исправлена проблема № 171051 (сбой программы при поиске по несуществующему пути)

- Исправлена проблема с отсутствием пункта меню gnome

- Исправлен сбой при просмотре подключений SMB

- Исправлена проблема № 309877 (странные артефакты при горизонтальной прокрутке)

- Исправлена проблема № 332258 (параметр левого/правого начального каталога)

- Исправлена проблема № 332261 (некорректный синтаксический разбор exec_prefix во время configure/makefile)

- Исправлена проблема № 336649 (числовое отображение прав доступа)

- Исправлена проблема со сбоями при использовании повреждённых или несоответствующих шаблонов регулярных выражений в advrename

Новые функции:

- Мониторинг смонтированных томов

- Переписан встроенный просмотрщик

- Внешние инструменты и средство просмотра тегов Exif/IPTC для внутреннего средства просмотра

- Масштабирование во встроенном просмотрщике

- Выделение текста во встроенном просмотрщике

- Изменено расположение кнопок на панели инструментов

- Опции для управления перезаписью файлов при копировании и перемещении

- Копирование полных путей выделенных файлов с помощью SHIFT+щелчок или кнопкой на панели инструментов

- Улучшение обработки смены ключа сортировки столбца

- Первоначальная платформа документации

- Новые или обновлённые переводы: de, es, eu, hu, pl, ro, ru, sl, sv, vi

- Новые клавиатурные сокращения:

  - SHIFT F3 Встроенный просмотрщик

  - ALT F3 Внешний просмотрщик

  - CTRL+буква Быстрый поиск

  - CTRL SHIFT A Снять выделение со всех файлов

1.1.7

12.02.2006

Устранение ошибок:

- Исправлен сбой программы при попытке копирования текущих выделенных файлов

- Исправлено экранирование имён файлов

- Исправлен плохой отклик CTRL+ALT+буква при слишком быстром наборе

- Исправлена ошибка debian № 288933 (ошибки компиляции amd64/gcc-4.0)

- Исправлена проблема № 138933 (бесконечная рекурсия при попытке перетащить каталог сам в себя)

- Исправлена проблема с неправильным поведением кнопки разрыва соединения при подключении к FTP-серверам, когда работа ведётся в режиме supermount

- Исправлено обновление после переименования без FAM

Новые функции:

- Новый логотип GNOME Commander

- Добавлен встроенный просмотрщик по клавише F3

- Копирование имён выделенных файлов в буфер обмена

- Вставка полного пути к выделенному файлу в командную строку при нажатии CTRL+SHIFT+ENTER

- Инструмент расширенного переименования — новый символ подстановки $g для прародительского каталога

- Кнопки панели инструментов («Вырезать», «Копировать» и «Вставить») теперь чувствительны к текущему состоянию

- Диалог редактирования закладок теперь также доступен по быстрой клавише закладок

- Новые или обновлённые переводы: el, en_CA, en_GB, eu, ga, hu, nb, ne, no, pa, pt_BR, rw, uk, zh_TW

- Новые клавиатурные сокращения:

  - CTRL M Инструмент пакетного переименования

  - CTRL SHIFT. Копировать текущий каталог из активного списка файлов в неактивный

  - CTRL= Выделить все файлы

  - CTRL- Снять выделение со всех файлов

  - = Выделить файлы по шаблону

1.1.6

20.01.2004

Устранение ошибок:

- Исправлен сбой при навигации назад в истории, а затем ввода другого каталога

- Исправлены проблемы ftp-quick-connect

- Функцию быстрого поиска теперь можно запустить и вводом заглавных букв

- Больше не нужно использовать CTRL+ALT для активации быстрого поиска при скрытой командной строке

Новые функции:

- Обновлён модуль cvs, теперь его можно использовать для получения файлов diff и log

- Использовать полужирный текст вместо подчёркнутого, когда индикатор каталога получает фокус курсором мыши

- Подпись cwd теперь можно выбирать (слева от командной строки)

- Удалён пункт меню 'Save Position'. Размер и положение теперь сохраняются автоматически.

- К индикатору каталога добавлена кнопка для показа истории каталога

- Добавлена история в диалоге выделения и снятия выделения по шаблону

- Столбец, по которому выполняется сортировка, и порядок сортировки теперь запоминаются

- Новые клавиатурные сокращения:

  - F2 Открыть диалог переименования

  - SHIFT+F10 Вывод контекстного меню для файла (клавиша меню Windows тоже работает)

  - CTRL. Копировать текущий каталог из неактивного списка файлов в активный

1.1.5

12.01.2004

Устранение ошибок:

- Столбец расширений файлов теперь скрывается, если расширение отображается только вместе с именем файла

- Исправлены ненужные перерисовки списка файлов при перетаскивании файлов над ним

- Исправлена проблема с FTP-соединениями, не исчезающими с панелей инструментов подключения при разрыве

- Программа больше не пытается центрировать себя на рабочем столе

- Исправлена ошибка при переименовании каталогов

Новые функции:

- Индикатор каталога над каждым список файлов теперь можно использовать для навигации вверх по структуре каталогов

1.1.4

24.11.2003

Устранение ошибок:

- Исправлена ошибка при выборе нескольких файлов щелчком мыши с удержанием кнопки Shift

- Остановлены избыточные обновления списка файлов на компьютерах с применённым imon-патчем ядра

- Очищено всплывающее меню файла

- Исправлен баг «Файл не найден» при переходе в родительский каталог, содержащий пробелы

- Исправлена возможная ошибка async при отмене операции передачи

- Переработана вкладка «Расположение» и удалена вкладка «Цвета» в диалоге настроек

- Улучшена система модулей

1.1.3

14.11.2003

Устранение ошибок:

- Исправлен сбой, который происходил при перемещении файлов на компьютере с быстрой установкой FAM. Это приводило к тому, что программа GNOME Commander пыталась дважды удалить один и тот же файл из списка

- Доступ к файлам на смонтированных устройствах теперь должен работать лучше

- Устройства без имени файла устройства больше не будут исчезать

- Функция, позволяющая оставить открытым окно терминала после завершения программы, работает теперь более надёжно

- Исправлена ошибка, при которой новый каталог появлялся в списке файлов несколько раз, пока список не перезагрузят

Новые функции:

- Теперь можно отменить запрос подтверждения на удаление

- Улучшены сообщения об ошибках при сбоях монтирования

- Добавлено автоматическое вычисление общего размера каталога при открытии диалога свойств файла

- Добавлен фильтр для резервных файлов. Он и фильтр скрытых файлов добавлены в главное меню для более быстрого доступа

1.1.2

07.11.2003

Устранение ошибок:

- Сильно улучшена обработка имён файлов не в кодировке UTF8

- Удалено небезопасное создание URI

Новые функции:

- Три способа просмотра с расширениями файлов

1.1.1

05.11.2003

Устранение ошибок:

- Убран показ расширений файлов в столбце имени и столбце расширения одновременно.

- Исправлены сбои, случавшиеся при просмотре каталогов.

- Исправлены проблемы обновления при копировании и перемещении файлов.

- Флажки подключения теперь должны всегда показывать верное соединение как выбранное

- Исправлены некоторые ошибки, связанные с выделением файлов с помощью клавиатуры

- Исправления в функции редактирования MIME-типов

Новые функции:

- В диалоге свойств файла добавлена кнопка для изменения MIME-приложения по умолчанию

1.1.0

01.11.2003

Новые функции:

- Обзор SMB

- Модули

- Переписано много кода

1.0.1

27.06.2003

Устранение ошибок:

- Улучшено обновление списка файлов в режиме, отличном от FAM

- Теперь можно входить в пустые каталоги на ftp-серверах

1.0 | 05.06.2003 | Это «готовая стабильная» версия 1.0. В основном небольшие исправления ошибок из предыдущей версии.
0.9.12 | 18.03.2003 | Исправление ошибок
0.9.11 | 13.03.2003 | Добавлен символ подстановки $p (родительский каталог) в диалоге расширенного переименования. Исправлена ошибка, из-за которой при удалении каталога иногда он только очищался, а не удалялся. Каталог «..» сделан видимым в FTP-сеансах.

0.9.10

24.03.2003

Исправлена ошибка загрузки изображений при использовании тем, отличных от стандартной. Новая функция закладок. Новая функция шаблона в диалоге пакетного переименования. Подробные сведения доступны в doc/advrename.txt в архиве. Улучшенный диалог свойств файла с поддержкой переименования. Перетаскивание файлов в каталог «..». Панель инструментов и панель кнопок теперь можно скрыть.

0.9.9 | 19.01.2003 | Улучшен инструмент расширенного переименования. Добавлена функция быстрого соединения. Улучшен диалог поиска и исправлены несколько ошибок в нём. Добавлена стандартная тема значков MIME с низким разрешением. Оптимизировано поведение контекстного меню файла.
0.9.8 | 16.07.2002 | Новое в этой версии: автопрокрутка при перетаскивании, улучшенный быстрый поиск, монтирование и размонтирование, обновление списков файлов без FAM, история последних посещённых каталогов и многое другое.
0.9.7 | 07.06.2002 |
0.9.6 | 04.04.2002 | Добавлена поддержка MIME, исправлено несколько ошибок.
0.9.5 | 27.03.2002 | Добавлен встроенный терминал, исправлено несколько ошибок.
0.9.4 | 21.03.2002 | Добавлены поддержка FAM, перетаскивание и другое.
0.9.2 | 09.03.2002 | Улучшена стабильность и уменьшены утечки памяти. CVS отключена до тех пор, пока не не будет действительно хорошо работать.
0.91-pre1 | 06.02.2002 | Улушен пользовательский интерфей, внесено множество других небольших улучшений.
0.90-pre1 | 02.08.2001 | Первая публичная версия GNOME Commander.